/**
 * Global
 */
:root {
	/* --brand-color1:rgb(191,30,12); */
	--brand-color-primary:#FF2C2C;
	--bs-gutter-x: 0.75rem;
	--header-h: 5rem; /* 80px */
	--header-py: .375rem; /* 6px */
	--pre-footer-h: 12.5rem; /* 200px */
	--footer-h: 4.125rem; /* 50px */
	font-family: "Montserrat", sans-serif;
	font-weight: 400;
	font-size: 16px;
	line-height: 18px;
	font-weight: normal;
}
body {
	color: #232129;
	font-family: "Montserrat", sans-serif;
	font-weight: 400;
	font-size: 16px;
	line-height: 18px;
	font-weight: normal;
	padding: 0;
	margin: 0;
	overflow-x: hidden;
}
ul,
ol,
li,
p {
	margin: 0;
	padding: 0;
}
ul,
li {
	list-style-type: none;
}
h1,
.h1 {
	font-family: "Montserrat", sans-serif;
	font-weight: 700;
	font-size: 2rem;
	line-height: 1.5rem;
}

.fixed {
	position: fixed;
	top:0;
	left: 0;
	z-index: 10;
}

.toggle-btn {
	cursor: pointer;
	font-size: 0;
	line-height: 22px;
	text-indent: -9999px;
	width: 40px;
	height: 22px;
	background: grey;
	display: block;
	border-radius: 40px;
	position: relative;
	transition: all .3s ease-in-out;
}
.toggle-btn::after {
	content: '';
	position: absolute;
	display: block;
	top: 3px;
	left: 3px;
	width: 16px;
	height: 16px;
	padding: 0;
	margin: 0;
	background: #fff;
	border-radius: 16px;
	transition: all 0.3s ease-in-out;
}
input.toggle:checked + .toggle-btn {
	background: #9ac706;
}
input.toggle:checked + .toggle-btn::after {
	left: auto;
	right: 3px;
}
.toggle-btn:active::after {
	width: 34px;
}

.opacity-0 { opacity: 0; }
.opacity-25 { opacity: .25; }
.opacity-50 { opacity: .5; }
.opacity-75 { opacity: .75; }
.opacity-100 { opacity: 1; }

.no-scroll {
	overflow:hidden;
}

/**
 * Component Styles @ Header
 */

.bg-header {
	background: linear-gradient(180deg, #0000004C, #65656516, #FFFFFF00);
}
body.on-scroll .bg-header {
	background: #fff;
	box-shadow: 0 10px 10px rgba(134,134,134,0.2);
}
header .header {
	height: var(--header-h, 2rem); /* definida nos global styles */
	margin-top: var(--header-py, .375rem); /* definida nos global styles */
}
body.on-scroll header .header {
	height: 50px;
}

header .header .logo,
header .header .logo img {
	max-height: 57px;
	margin: 0 auto;
}

.menu-icon {
	width: 32px;
	height: 32px;
	padding: 6px;
}
.menu-icon-line {
	height: 2px;
	transform-origin: 50% 50%;
}
body.on-scroll header .menu-icon-line {
	background: #323335;
}
.menu-icon-line:nth-child(1) {
	top: calc(100% / 32 * 9);
	left: calc(100% / 32 * 14);
	width: calc(100% / 32 * 12);
}
.menu-icon-line:nth-child(2) {
	left: calc(100% / 32 * 6);
	width: calc(100% / 32 * 20);
}
.menu-icon-line:nth-child(3) {
	bottom: calc(100% / 32 * 9);
	left: calc(100% / 32 * 6);
	width: calc(100% / 32 * 12);
}
#nav_menu_xs:checked ~ header .header nav .menu-icon .menu-icon-line:nth-child(1) {
	left: 0;
	width: 100%;
}
#nav_menu_xs:checked ~ header .header nav .menu-icon .menu-icon-line:nth-child(3) {
	left: 0;
	width: 100%;
}


/* START Common Block Styles */
main [class*="__CCBlockGroup"],
main [class*="__CCBlock"] {
	margin-bottom: 40px;
}
main [class*="_TextBox"].type-richtext p {
	color: var(--brand-color-primary);
	font-size: 1.5625rem;
	line-height: 2rem;
}
main [class*="_TextBox"].type-richtext p strong {
	font-weight: 600;
}

main [class*="_TextBox"].type-shorttext span,
main [class*="_TextBox"].type-longtext span {
	color: #868686;
	font-size: 1rem;
	line-height: 1.3125rem;
	font-weight: 400;
}
main [class*="_Media"] picture.responsive {
	display: block;
	width: 100%;
	height: 100%;
}
main [class*="_Media"] picture.responsive img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}
a.btn,
button.btn,
label.btn,
main [class*="_Button"] a {
	width: 100%;
	height: 68px;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 0 44px;
	background: var(--brand-color-primary);
	color: #fff;
	font-size: 1rem;
	font-weight: 600;
	text-decoration: none;
	box-shadow: 0px 3px 22px rgba(125, 53, 45, 0.4);
}
a.btn:hover,
button.btn:hover,
label.btn:hover,
main [class*="_Button"] a:hover {
	color: #fff;
}
main [class*="_Listing"] {

}
main [class*="_Listing"] li {

}
main [class*="_Listing"] li span.icon {

}
main [class*="_Listing"] li span.icon img {
	width: 100%;
}

/** Modals */
[data-modal] {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	visibility: hidden;
	transition: opacity .2s ease-out, visibility .2s ease-out .2s;
	z-index: 11;
}
[data-modal] > .content {
	position: absolute;
	top: 50%;
	left: 50%;
	width: calc(100vw - 2 * var(--bs-gutter-x));
	max-height: calc(100vh - 2 * var(--bs-gutter-x));
	transform: translate(-50%, -50%);
	opacity: 0;
	visibility: hidden;
	background-color: #fff;
	border-radius: 4px;
	overflow: auto;
	transition: transform .2s ease-out .1s, opacity .2s ease-out .1s, visibility .2s ease-out .3s;
	z-index: 2;
}
[data-modal] .btn--close {
	top: 10px;
	right: 10px;
}
.btn--close {
	position: absolute;
	width: 44px;
	height: 44px;
	opacity: 0;
	visibility: hidden;
	pointer-events: none;
	display: flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	z-index: 2;
}

.btn--close .cross {
	width: 20px;
	height: 20px;
	-webkit-transform: rotate(45deg);
			transform: rotate(45deg);
}
.btn--close .cross div {
	position: absolute;
	top: 0;
	background: #000;
}
.btn--close .cross div:nth-child(1) {
	width: 0;
	height: 2px;
	top: 50%;
	-webkit-transform: translateY(-50%);
			transform: translateY(-50%);
	-webkit-transition: width .25s ease-out 0s;
			transition: width .25s ease-out 0s;
}
.btn--close .cross div:nth-child(2) {
	left: 50%;
	-webkit-transform: translateX(-50%);
			transform: translateX(-50%);
	width: 2px;
	height: 0;
	-webkit-transition: height .25s ease-out .2s;
			transition: height .25s ease-out .2s;
}

/** Forms */
.input-holder label {
	width: 100%;
	margin: 1rem auto;
}
.input-holder label > span {
	display: block;
	width: 100%;
	color: rgba(134, 134, 134, 0.7);
	margin: 0 0 0.25rem;
}
.input-holder label > input:not([type="checkbox"]),
.input-holder label > textarea {
	display: block;
	width: 100%;
	border: 0;
	border-bottom: 1px solid #868686;
	font-size: 1rem;
	line-height: 1.25rem;
	padding: 0.25rem 0;
	appearance: none;
}
.input-holder label > textarea {
	resize: vertical;
}
.input-holder label.checkbox-holder {
	display: flex;
	position: relative;
}
.input-holder label.checkbox-holder::before {
	content: '';
	width: 20px;
	height: 20px;
	border: 1px solid #868686;
	border-radius: 3px;
	margin-right: 1rem;
}
.input-holder label.checkbox-holder::after {
	content: '';
	display: block;
	position: absolute;
	top: 2px;
	left: 4px;
	width: 14px;
	height: 8px;
	opacity: 0;
	transition: opacity .2s ease-in;
	border-left: 2px solid #868686;
	border-bottom: 2px solid #868686;
	transform: rotate(-45deg);
}
.input-holder input:checked + label.checkbox-holder::after {
	opacity: 1;
}
/* END Common Block */




/* START Privacy Policy */

main.page-privacy {
	margin-top: var(--header-h);
	background-color: #fbfbfb;
	border-top-right-radius: 130px;
}

main.page-privacy .type-title {
	margin: 2rem auto;
}

main.page-privacy .type-title h1 {
	color: var(--brand-color-primary);
	font-size: 35px;
	line-height: 36px;
}

main.page-privacy .type-richtext p {
	color: #868686;
	font-size: 16px;
	line-height: 20px;
}

/* END Privacy Policy */





/* START Pre-Footer */

.pre-footer {
	color: #868686;
	background: #f0f8ff;
	padding-top: 5rem;
	padding-bottom: 3rem;
	margin-bottom: 0;
}
.pre-footer h2 {
	color: var(--brand-color-primary);
}
.pre-footer .contact-button {
	width: 100%;
	height: 68px;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 0 44px;
	background: var(--brand-color-primary);
	color: #fff;
	font-size: 1rem;
	font-weight: 600;
	text-decoration: none;
	box-shadow: 0px 3px 22px rgba(125, 53, 45, 0.4);
}
/* END Pre-Footer */


/* SM */
@media (min-width: 576px) {
	body.on-scroll header .header {
		height: 60px;
	}
	header .header .logo,
	header .header .logo img {
		max-height: 47px;
	}
}

/* MD */
@media (min-width: 768px) {
	:root {
		--header-h: 5.75rem; /* 92px */
		--footer-h: 7rem; /* 112px */
	}
	.pre-footer h2 {
		font-size: 2rem;
		line-height: 2.3rem;
	}
	.pre-footer .contact-button {
		width: auto;
		min-width: 200px;
		max-width: 100%;
		padding: 0 20px;
	}

	footer .footer > * {
		height: 40px;
	}

	.footer .menu li + li {
		margin-left: 2rem;
	}

	.footer .social-networks a {
		display: flex;
	}
}

/* LG */
@media (min-width: 992px) {
	:root {
		--header-h: 7.625rem; /* 122px */
		--footer-h: 7rem; /* 112px */
	}
	header .header,
	body.on-scroll header .header {
		height: var(--header-h, 7.625rem);
		margin: 0;
	}
	header .header .logo,
	header .header .logo img {
		height: 90px;
		max-height: 90px;
	}
	.menu li,
	.submeni li {
		width: auto;
		padding: 0;
	}
	.menu li a,
	.menu li.has-submenu .submenu-a,
	.menu li .submenu .title,
	.cta {
		font-size: 1rem;
		line-height: normal;
		padding: 10px 20px;
		margin: 0;
		display: block;
	}

	header .header .submenu {
		top: var(--header-h, 7.625rem);
		left: 0;
		width: 100vw;
		height: auto;
		background: var(--brand-color-primary);
		max-height: 0;
		padding: 0;
		overflow: hidden;
		transform: none;
	}
	header .header .menu li.has-submenu .submenu a {
		color: #fff;
	}

	header .header .submenu .top {
		display: none;
	}
	header .header .submenu .list {
		padding: 2.3rem 0 5rem;
		max-height: calc(100vh - var(--header-h, 7.625rem));
	}
	header .header .submenu .list ul {
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		height: 15rem;
	}
	header .header .submenu .list ul li {
		min-width: 33.3333%;
		width: 33.3333%;
	}
	header .header .submenu .list ul li a {
		color: #fff;
	}

	#nav_submenu_xs:checked ~ .submenu,
	body.on-scroll header #nav_submenu_xs:checked ~ .submenu {
		max-height: calc(100vh - var(--header-h, 7.625rem));
		transform: none;
	}

	body header.force-color-2 .header .menu li a,
	body header.force-color-2 .header .menu li.has-submenu .submenu-a,
	body.on-scroll header .header .menu li a,
	body.on-scroll header .header .menu li.has-submenu .submenu-a,
	body.on-scroll header .header .menu li .submenu .title,
	body.on-scroll header .header .cta {
		color: #323335;
	}

	body.menu-open header,
	body.on-scroll.menu-open header {
		background: var(--brand-color-primary);
		background: linear-gradient(180deg, rgba(0, 0, 0, 0.3) 0%, rgba(101, 101, 101, 0.086) 50%, rgba(255, 255, 255, 0) 100%), var(--brand-color-primary);
	}

	body.menu-open header.force-color-2 .header .menu li a,
	body.menu-open header.force-color-2 .header .menu li.has-submenu .submenu-a,
	body.on-scroll.menu-open header .header .menu li a,
	body.on-scroll.menu-open header .header .menu li.has-submenu .submenu-a {
		color: #fff;
	}

	header .header .menu li a.contact {
		display: flex;
		max-width: 50px;
		height: 50px;
		overflow: hidden;
		padding: 0;
		background: var(--brand-color-primary);
		color: #fff;
		margin: 0 0 0 20px;
		border-radius: 25px 25px 0 25px;
		box-shadow: 0px 0px 8px rgba(125, 53, 45, 0);
		align-items: center;
		justify-content: start;
		transition: all .3s ease-in;
	}
	header .header .menu li a.contact .icon-holder {
		min-width: 50px;
		height: 50px;
		display: flex;
		align-items: center;
		justify-content: center;
	}
	header .header .menu li a.contact .icon {
		width: 25px;
		height: 25px;
		margin: 0;
	}
	header .header .menu li a.contact .text {
		white-space: nowrap;
		margin-left: 0.5rem;
		margin-right: 1.5rem;
	}

	body.on-scroll header .header .menu li a.contact {
		max-width: calc(50px + 9.625rem);
		color: #fff;
		box-shadow: 0px 0px 8px rgba(125, 53, 45, 0.6);
	}

	.footer .menu li + li {
		margin-left: 2rem;
	}
}

/* XL */
@media (min-width: 1200px) {
	.pre-footer h2 {
		font-size: 2.5rem;
		line-height: 3.2rem;
	}
	main.page-privacy {
		line-height: 25px;
		border-top-right-radius: 240px;
	}

	main.page-privacy .privacy-h1-tag{
		font-size: 50px;
		line-height: 60px;
	}
}

/* XXL */
@media (min-width: 1400px) {
	.pre-footer h2 {
		font-size: 3.2rem;
		line-height: 3.6rem;
	}
	.pre-footer p {
		font-size: 1.25rem;
		line-height: 1.875rem;
	}
	main.page-privacy {
		font-size: 1.25rem;
		line-height: 1.875rem;
	}
}
